Bug 39847 - mgetty loops and does not cancel lock file
mgetty loops and does not cancel lock file
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: mgetty (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-09 05:54 EDT by Igor Pesando
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-30 17:19:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Igor Pesando 2001-05-09 05:54:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686; Nav)

Description of problem:
from /var/log/mgetty.ttyS1.log
05/09 12:48:47 yS1   waiting for line to clear (VTIME), read:
05/09 12:48:47 yS1  tcgetattr failed: Input/output error
05/09 12:48:47 yS1  tcsetattr failed: Input/output error
05/09 12:48:47 yS1  tcsetattr failed: Input/output error
05/09 12:48:47 yS1   removing lock file
05/09 12:48:47 yS1  waiting...
05/09 12:48:47 yS1    select returned 1
05/09 12:48:47 yS1   checking lockfiles, locking the line
05/09 12:48:47 yS1   makelock(ttyS1) called
05/09 12:48:47 yS1   do_makelock: lock='/var/lock/LCK..ttyS1'
05/09 12:48:47 yS1   lock made
05/09 12:48:47 yS1  wfr: waiting for ``RING''
05/09 12:48:47 yS1   got:
05/09 12:48:47 yS1  mdm_read_byte: read returned 0: Success
05/09 12:48:47 yS1  wfr: error in read(): Success
05/09 12:48:47 yS1   wfr: rc=-1, drn=0
05/09 12:48:47 yS1  ringback: phone stopped after 0 RINGs, waiting for
re-ring
05/09 12:48:47 yS1  wfr: waiting for ``RING''
05/09 12:48:47 yS1   got:
05/09 12:48:47 yS1  mdm_read_byte: read returned 0: Success
05/09 12:48:47 yS1  wfr: error in read(): Success
05/09 12:48:47 yS1   wfr: rc=-1, drn=0
05/09 12:48:47 ##### missed ringback!

How reproducible:
Always

Steps to Reproduce:
1.start mgetty, it works
2.start pppd
3.mgetty loops
	

Additional info:
Comment 1 Jason Vas Dias 2004-08-30 17:19:58 EDT
Just clearing out old bugs here. This is definitely fixed in
new version: mgetty-1.1.31-2.

Note You need to log in before you can comment on or make changes to this bug.